noinst_LIBRARIES=libmdc2.a
TESTS=mdc2test
EXTRA_PROGRAMS=mdc2test
INCLUDES=-I$(top_srcdir)/crypto

libmdc2_a_SOURCES=mdc2_one.c mdc2dgst.c

mdc2test_SOURCES=mdc2test.c
mdc2test_LDFLAGS=-L$(top_builddir)/crypto
mdc2test_LDADD=-lcrypto
mdc2test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl mdc2.h

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
